using _Core;

namespace _Combo
{
    internal class AuthRealName
    {
        public class Request : Serializable
        {
            [Newtonsoft.Json.JsonProperty("ticket")]
            public string ticket;

            [Newtonsoft.Json.JsonProperty("real_name")]
            public string realName;

            [Newtonsoft.Json.JsonProperty("identity_card")]
            public string identityCard;

            [Newtonsoft.Json.JsonProperty("encrypted")]
            public bool encrypted;
        }

        public class Response : Serializable
        {
            [Newtonsoft.Json.JsonProperty("identity_token")]
            public string identityToken;

            [Newtonsoft.Json.JsonProperty("expires_at")]
            public int expiresAt;
        }
    }
}
